Bug 180180 - Automated proxy changes
Automated proxy changes
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-rhn-plugin (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Brandon Perkins
: FutureFeature
Depends On: 232567
  Show dependency treegraph
Reported: 2006-02-06 11:59 EST by Duncan Innes
Modified: 2013-02-26 19:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-27 11:25:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Duncan Innes 2006-02-06 11:59:22 EST
Description of problem: Mobile laptops connecting to various parts of the
network.  Is there any way to figure out which Proxy (or the Satellite) is
closest bandwidth wise rather than trying to connect to the defined server each

The problem arises as there is generally a large bandwidth inside the offices
where people NORMALLY connect to their assigned Proxy.  Generally 1Gbit within
offices, but a rather paltry 2Mbit between offices.  However, staff are
sometimes moved around at short notice for small assignments.  

Rather than getting the non-technical staff to attempt and re-register or get
the Satellite admins to move the machine from one proxy to another, would it be
possible to calculate the closest proxy or satellite automatically?

Version-Release number of selected component (if applicable): Sorry, not sure of
version, but it's installed at Specsavers UK and Guernsey if that helps.

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:  I'm also involved in the proof of concept for RHN Satellite
servers with a large oil company.  They have a multitude of engineers out in the
field connecting to local offices or using internet connections.  This kind of
service would help them out dramatically.
Comment 1 Red Hat Bugzilla 2007-04-11 20:30:12 EDT
User bnackash@redhat.com's account has been closed
Comment 2 Red Hat Bugzilla 2007-05-03 00:20:20 EDT
User pvetere@redhat.com's account has been closed
Comment 4 Miroslav Suchý 2008-04-30 10:40:50 EDT
This can not be done in RHN Proxy code. It can be done in up2date or in
yum-rhn-plugin should already accept list of satellites (or proxies). To do this
feature it should just do ping (or other check) to all this satellite before it
start downloading.
Comment 8 RHEL Product and Program Management 2009-04-27 11:25:25 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.